Announcement Announcement Module
Collapse
No announcement yet.
Non-existing dependency javax.xml.crypto:xmldsig:jar:1.0 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Non-existing dependency javax.xml.crypto:xmldsig:jar:1.0

    Hi folks,

    I'm trying to compile my application, which fails on a missing dependency javax.xml.crypto:xmldsig:jar:1.0. It used to work last Tuesday, and now it fails. There have been no modifications to the pom.xml or ~/.m2/settings.xml files. This is the error I get:

    Code:
    [INFO] ------------------------------------------------------------------------
    [ERROR] BUILD ERROR
    [INFO] ------------------------------------------------------------------------
    [INFO] Failed to resolve artifact.
    
    Missing:
    ----------
    1) javax.xml.crypto:xmldsig:jar:1.0
    
      Try downloading the file manually from the project website.
    
      Then, install it using the command:
          mvn install:install-file -DgroupId=javax.xml.crypto -DartifactId=xmldsig -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file
    
      Alternatively, if you host your own repository you can deploy the file there:
          mvn deploy:deploy-file -DgroupId=javax.xml.crypto -DartifactId=xmldsig -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
    
      Path to dependency:
            1) nl.chess.sybren:syringe:war:0.7-SNAPSHOT
            2) org.springframework.ws:spring-ws-security:jar:1.5.4
            3) com.sun.xml.wss:xws-security:jar:2.0-FCS
            4) javax.xml.crypto:xmldsig:jar:1.0
    
    ----------
    1 required artifact is missing.
    
    for artifact:
      nl.chess.sybren:syringe:war:0.7-SNAPSHOT
    
    from the specified remote repositories:
      local (file:///home/sybren/chess/workspace/syringe/repository/),
      central (http://repo1.maven.org/maven2)
    I tried the suggested fix on http://forum.springsource.org/showthread.php?t=40248 but that didn't help

    Please help me fix this!

    Cheers,
    Sybren

    PS: I tried both spring-ws 1.5.4 and 1.5.6, both result in the same error.

  • #2
    Hi All,
    I think i have the same problem here.. Can't find any xmldsig:jar in the Spring ext repository, or any other place for that matter..

    Do anyone have an old/local copy why would share or something?

    Thanks

    Comment


    • #3
      Originally posted by erikgu View Post
      Do anyone have an old/local copy why would share or something?
      You can always download it from the Arjen's repository:
      https://springframework.svn.sourcefo...mldsig-1.0.jar

      and then install it into Your local repo via:

      Code:
      mvn install:install-file -Dfile=xmldsig-1.0.jar -DgroupId=javax.xml.crypto -DartifactId=xmldsig -Dversion=1.0 -Dpackaging=jar -DgeneratePom=true -DcreateChecksum=true

      Comment

      Working...
      X